Virtual Environments

Index

get

Pagination

Pagination is available for this request. Please see the section on using pagination for more details.

Available Includes

These are the includes that can be used to include addition related data in the results. Please see the section on using includes for more details.

  • versions

  • versions_count

  • versionsExists

  • firstVersion

  • firstVersion_count

  • firstVersionExists

  • firstVersion.user

  • deployments

  • deployments_count

  • deploymentsExists

  • deployments.flowVersion

  • deployments.flowVersion.flow

  • deployments.enabledBy

  • deployments.user

  • deployments.package

  • packageDeployments

  • packageDeployments_count

  • packageDeploymentsExists

  • packageDeployments.user

  • packageDeployments.package

Available Filters

These are the filters that can be used to specific the data to return. Please see the section on using filters for more details.

  • name

  • type

  • status

  • hasDeployedVersion

Available Fields

These are the fields that can be requested to limit the data returned. Please see the section on using fields for more details.

  • virtual_environments.id

  • virtual_environments.name

  • virtual_environments.description

  • virtual_environments.type

  • virtual_environments.created_at

  • virtual_environments.updated_at

Available Sorts

These are the sorts that can be used order the returned data. Please see the section on using sorting for more details.

  • name

Authorizations
Query parameters
filter[name]stringOptional

Filter results by name.

filter[type]stringOptional

Filter results by type.

filter[status]stringOptional

Filter results by status.

filter[hasDeployedVersion]stringOptional

Filter results by hasDeployedVersion.

filter[labelled]stringOptional

Filter results by labelled.

includestringOptional

Comma-separated list of relationships to include. Available: versions, firstVersion, firstVersion.user, deployments, deployedVersion.variables, deployments.flowVersion, deployments.flowVersion.flow, deployments.enabledBy, deployments.user, deployments.package, packageDeployments.user, packageDeployments.package, labels

sortstringOptional

Sort field. Prefix with - for descending. Available: name

pageinteger · min: 1Optional

Page number for pagination.

Default: 1
per_pageinteger · min: 1 · max: 100Optional

Number of results per page.

Responses
chevron-right
200

Successful response

application/json
get
/api/v1/virtual-environments

Store

post

Validation Rules

These are the basic validation rules for the request. More detailed validation may apply depending on the data being sent. Please see the response for any extra requirements

Field
Type
Required

name

string

description

string

type

Authorizations
Body
descriptionstring · max: 255 · nullableOptional
typestring · nullableOptional
namestring · max: 245Required
Responses
chevron-right
200

Successful response

application/json
post
/api/v1/virtual-environments

Show

get

Available Includes

These are the includes that can be used to include addition related data in the results. Please see the section on using includes for more details.

  • versions

  • versions_count

  • versionsExists

  • firstVersion

  • firstVersion_count

  • firstVersionExists

  • firstVersion.user

  • deployments

  • deployments_count

  • deploymentsExists

  • deployments.flowVersion

  • deployments.flowVersion.flow

  • deployments.enabledBy

  • deployments.user

  • deployments.package

  • packageDeployments

  • packageDeployments_count

  • packageDeploymentsExists

  • packageDeployments.user

  • packageDeployments.package

Available Filters

These are the filters that can be used to specific the data to return. Please see the section on using filters for more details.

  • name

  • type

  • status

  • hasDeployedVersion

Available Fields

These are the fields that can be requested to limit the data returned. Please see the section on using fields for more details.

  • virtual_environments.id

  • virtual_environments.name

  • virtual_environments.description

  • virtual_environments.type

  • virtual_environments.created_at

  • virtual_environments.updated_at

Available Sorts

These are the sorts that can be used order the returned data. Please see the section on using sorting for more details.

  • name

Authorizations
Path parameters
virtual_environmentstringRequired

The virtual environment identifier.

Query parameters
filter[name]stringOptional

Filter results by name.

filter[type]stringOptional

Filter results by type.

filter[status]stringOptional

Filter results by status.

filter[hasDeployedVersion]stringOptional

Filter results by hasDeployedVersion.

filter[labelled]stringOptional

Filter results by labelled.

includestringOptional

Comma-separated list of relationships to include. Available: versions, firstVersion, firstVersion.user, deployments, deployedVersion.variables, deployments.flowVersion, deployments.flowVersion.flow, deployments.enabledBy, deployments.user, deployments.package, packageDeployments.user, packageDeployments.package, labels

sortstringOptional

Sort field. Prefix with - for descending. Available: name

pageinteger · min: 1Optional

Page number for pagination.

Default: 1
per_pageinteger · min: 1 · max: 100Optional

Number of results per page.

Responses
chevron-right
200

Successful response

application/json
get
/api/v1/virtual-environments/{virtual_environment}

Update

put

Validation Rules

These are the basic validation rules for the request. More detailed validation may apply depending on the data being sent. Please see the response for any extra requirements

Field
Type
Required

name

string

description

string

type

Authorizations
Path parameters
virtual_environmentstringRequired

The virtual environment identifier.

Body
descriptionstring · max: 255 · nullableOptional
typestring · nullableOptional
namestring · max: 255Required
Responses
chevron-right
200

Successful response

application/json
put
/api/v1/virtual-environments/{virtual_environment}

Destroy

delete

Delete a virtual environment.

Authorizations
Path parameters
virtual_environmentstringRequired

The virtual environment identifier.

Responses
chevron-right
200

Successful response

application/json
messagestringOptional
delete
/api/v1/virtual-environments/{virtual_environment}

Copy

post

Copy for copy.

Authorizations
Path parameters
virtual_environmentstringRequired

The virtual environment identifier.

Responses
chevron-right
200

Successful response

application/json
objectOptional
post
/api/v1/virtual-environments/{virtual_environment}/copy

Index

get

Pagination

Pagination is available for this request. Please see the section on using pagination for more details.

Available Includes

These are the includes that can be used to include addition related data in the results. Please see the section on using includes for more details.

  • virtualEnvironment

  • virtualEnvironment_count

  • virtualEnvironmentExists

Available Fields

These are the fields that can be requested to limit the data returned. Please see the section on using fields for more details.

  • virtual_environment_versions.id

  • virtual_environment_versions.notes

  • virtual_environment_versions.deployed_at

  • virtual_environment_versions.created_at

  • virtual_environment_versions.updated_at

Available Sorts

These are the sorts that can be used order the returned data. Please see the section on using sorting for more details.

  • id

  • created_at

Authorizations
Path parameters
virtual_environmentstringRequired

The virtual environment identifier.

Responses
chevron-right
200

Successful response

application/json
get
/api/v1/virtual-environments/{virtual_environment}/versions

Store

post

Validation Rules

These are the basic validation rules for the request. More detailed validation may apply depending on the data being sent. Please see the response for any extra requirements

Field
Type
Required

notes

string

Authorizations
Path parameters
virtual_environmentstringRequired

The virtual environment identifier.

Body
notesstringOptional
Responses
chevron-right
200

Successful response

application/json
post
/api/v1/virtual-environments/{virtual_environment}/versions

Show

get

Available Includes

These are the includes that can be used to include addition related data in the results. Please see the section on using includes for more details.

  • virtualEnvironment

  • virtualEnvironment_count

  • virtualEnvironmentExists

Available Fields

These are the fields that can be requested to limit the data returned. Please see the section on using fields for more details.

  • virtual_environment_versions.id

  • virtual_environment_versions.notes

  • virtual_environment_versions.deployed_at

  • virtual_environment_versions.created_at

  • virtual_environment_versions.updated_at

Available Sorts

These are the sorts that can be used order the returned data. Please see the section on using sorting for more details.

  • id

  • created_at

Authorizations
Path parameters
virtual_environmentstringRequired

The virtual environment identifier.

versionstringRequired

The version identifier.

Responses
chevron-right
200

Successful response

application/json
get
/api/v1/virtual-environments/{virtual_environment}/versions/{version}

Update

put

Validation Rules

These are the basic validation rules for the request. More detailed validation may apply depending on the data being sent. Please see the response for any extra requirements

Field
Type
Required

notes

string

Authorizations
Path parameters
virtual_environmentstringRequired

The virtual environment identifier.

versionstringRequired

The version identifier.

Body
notesstringOptional
Responses
chevron-right
200

Successful response

application/json
put
/api/v1/virtual-environments/{virtual_environment}/versions/{version}

Destroy

delete

Delete a version.

Authorizations
Path parameters
virtual_environmentstringRequired

The virtual environment identifier.

versionstringRequired

The version identifier.

Responses
chevron-right
200

Successful response

application/json
messagestringOptional
delete
/api/v1/virtual-environments/{virtual_environment}/versions/{version}

Copy

post

Copy for copy.

Authorizations
Path parameters
virtual_environmentstringRequired

The virtual environment identifier.

versionstringRequired

The version identifier.

Responses
chevron-right
200

Successful response

application/json
objectOptional
post
/api/v1/virtual-environments/{virtual_environment}/versions/{version}/copy

Deploy

post

Deploy for deploy.

Authorizations
Path parameters
virtual_environmentstringRequired

The virtual environment identifier.

versionstringRequired

The version identifier.

Responses
chevron-right
200

Successful response

application/json
objectOptional
post
/api/v1/virtual-environments/{virtual_environment}/versions/{version}/deploy

Last updated

Was this helpful?